maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sebastian Krebs (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MNG-2631) M2 searches artefacts in wrong repo when using ranges
Date Thu, 26 Oct 2006 12:00:03 GMT
    [ http://jira.codehaus.org/browse/MNG-2631?page=comments#action_78507 ] 
            
Sebastian Krebs commented on MNG-2631:
--------------------------------------

Sorry,
 my fault, I've forgotten to write the following.

I've specified those two repositories in my settings.xml as well.

<profile>
<repositories>
<repository>
  <id>Internal</id>
  <name>Internal Repository</name>
  <url>dav:http://{myServer}/internal</url>
<snapshots>
  <enabled>false</enabled>
  </snapshots>
  </repository>
<repository>
  <id>snapshot</id>
  <name>Snaphshot Repository</name>
  <url>dav:http://{myServer}/snapshot</url>
<snapshots>
  <enabled>true</enabled>
  </snapshots>
  </repository>
  </repositories>
</profile>

This is my parent.pom

<modelVersion>4.0.0</modelVersion>
  <groupId>de.myCompany</groupId>
  <artifactId>myCompany</artifactId>
  <name>MYCOMPANY</name>
  <version>1.2</version>
  <packaging>pom</packaging>
 <distributionManagement>
 <repository>
  <id>Internal</id>
  <name> Internal Repository</name>
  <url>dav:http://{myServer}/internal</url>
  </repository>
 <snapshotRepository>
  <id>Snapshot</id>
  <name>Internal Snapshot Repository</name>
  <url>dav:http://{myServer}/snapshot</url>
  </snapshotRepository>
  </distributionManagement>
 <build>
 <extensions>
 <extension>
  <groupId>org.apache.maven.wagon</groupId>
  <artifactId>wagon-webdav</artifactId>
  <version>1.0-beta-1</version>
  </extension>
  </extensions>
  </build>
  </project>

and all my other projects inherit from this one.

Deploying works fine, in internal repo and in snapshotrepo as well.

Getting the dependencies works correct as long as I define a "normal" version like <version>1.0</version>
in dependencies

But if I use a version-range, something like <version>[0.8,)</version>
I get the reported error.


> M2 searches artefacts in wrong repo when using ranges
> -----------------------------------------------------
>
>                 Key: MNG-2631
>                 URL: http://jira.codehaus.org/browse/MNG-2631
>             Project: Maven 2
>          Issue Type: Bug
>          Components: Artifacts and Repositories
>    Affects Versions: 2.0.4
>         Environment: Two repos, one internal for releases and one internal for snapshots
(snapshotRepository) specified in <distributionmanagement>
>            Reporter: Sebastian Krebs
>
> <dependency>
>             ...
> <version>[0.8,)</version>
>             ...
> </dependency>
> I get following error while compile this second project:
> Downloading: http://{myServer}/internal/{groupId}/{artifactId}/1.0/{artefactId}-1.0.pom
> Downloading: http://{myServer}/snapshot/{groupId}/{artifactId}/1.0/{artefactId}-1.0.jar
> It looks like Maven searches the pom on my internal repo and the belonging  artefact
on the snapshotRepo.
> As I have understood, reading BetterBuildsWithMaven site 215, Maven should find my artefact
in my "normal" repo.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message